package com.palmnest.service;

import com.palmnest.application.dto.IndexMenuDto;
import com.palmnest.application.dto.MenuDto;
import com.palmnest.model.User;

import java.util.List;

public interface AppMenuService {

	List<MenuDto> findMenuDto(String userName);

	List<IndexMenuDto> findIndexMenus(String userName, boolean isAll, String orgIds, String token);

	/**
	 * 当前用户父菜单下的有权限的子菜单
	 *
	 * @param parentId
	 * @param userName
	 * @return
	 */
	List<IndexMenuDto> findMenusByParent(Integer parentId, User user, String orgIds, String token) throws Exception;

	/**
	 * 新版APP全部菜单分类列表
	 *
	 * @return
	 */
	List<IndexMenuDto> findCategoryMenu(User user, String orgIds, String token) throws Exception;

}
